Get a device
curl --request GET \
--url https://api.speedvitals.com/v1/devices/{id}import requests
url = "https://api.speedvitals.com/v1/devices/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.speedvitals.com/v1/devices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "macbookAirM1",
"name": "MacBook Air (2020)",
"category": "desktop"
}Devices
Get a device
Retrieves a device info
GET
/
v1
/
devices
/
{id}
Get a device
Path Parameters
Device id
Maximum string length:
5000Response
Successful response.
Available options:
mobile, desktop, macbookAirM1, highEndLaptop, ipad102, galaxyTabS7, iphone13ProMax, iphone11, galaxyS10Plus, redmiNote8Pro, iphone7, galaxyA50, galaxyJ8, motoG5, redmi5A Example:
"macbookAirM1"
Example:
"MacBook Air (2020)"
Available options:
mobile, desktop, tablet Example:
"desktop"
⌘I